openSUSE Security Update : cifs-mount (cifs-mount-2128)

This script is Copyright (C) 2010-2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

With enabled 'wide links' samba follows symbolic links on the server
side, therefore allowing clients to overwrite arbitrary files
(CVE-2010-0926). This update changes the default setting to have 'wide
links' disabled by default. The new default only works if 'wide links'
is not set explicitly in smb.conf.

Due to a race condition in mount.cifs a local attacker could corrupt
/etc/mtab if mount.cifs is installed setuid root. mount.cifs is not
setuid root by default and it's not recommended to change that
(CVE-2010-0547).

See also :

https://bugzilla.novell.com/show_bug.cgi?id=577868
https://bugzilla.novell.com/show_bug.cgi?id=577925

Solution :

Update the affected cifs-mount packages.

Risk factor :

Low / CVSS Base Score : 3.5
(CVSS2#AV:N/AC:M/Au:S/C:P/I:N/A:N)

Family: SuSE Local Security Checks

Nessus Plugin ID: 45340 ()

Bugtraq ID:

CVE ID: CVE-2010-0547
CVE-2010-0926

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now